Subject: Re: [MORG] SEARCH=INTHREAD algorithm selection

From: Arnt Gulbrandsen <[email-masked]>
Date: Tue, 21 Oct 2008 16:11:44 +0200

Timo Sirainen writes:
> Ability to specify multiple different thread algorithms for the same 
> search command seems quite pointless and makes its implementation 
> unnecessarily complex. I'd like to avoid doing nested INTHREAD 
> searches, which is possible but only as long as the same algorithm is 
> used everywhere.
>
> How about specifying the algorithm in SEARCH RETURN options?
>
> SEARCH RETURN (THREAD (REFERENCES)) INTHREAD SUBJECT "hello"

Done.

I don't particularly care one way or another. This change doesn't seem 
to affect either benevolent or malevolent users. Malevolent users can 
construct DoSish CPU eaters either way.

> This also fixes the issue of THREADROOT and THREADLEAF not specifying 
> the algorithm currently.

Also fixes the issue of THREADROOT and THREADLEAF having rotten 
definitions. I like that.

Arnt
_______________________________________________
MORG mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/morg
Note Well: http://www.ietf.org/maillist.html